Bug 1006255 - Wrong possible matched cartridge displayed when creating app.
Wrong possible matched cartridge displayed when creating app.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 06:23 EDT by Yujie Zhang
Modified: 2015-05-14 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:50:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-09-10 06:23:43 EDT
Description of problem:

Tried to create app using "rhc app create appname ph", but it displayed the following cartridge:

Short Name Full name
========== =========
php-5.3    PHP 5.3
python-2.6 Python 2.6
python-2.7 Python 2.7
python-3.3 Python 3.3
zend-5.6   Zend Server 5.6

And tried to create app using "rhc app create appname tt", it displayed the following cartridge:

Short Name Full name
========== =========
python-2.6 Python 2.6
python-2.7 Python 2.7
python-3.3 Python 3.3

Same issue when using "di","je","pe".

Version-Release number of selected component (if applicable):

devenv_3762
rhc-1.14.4

How reproducible:

always

Steps to Reproduce:
1. rhc app create appname ph
2. rhc app create appname tt
3.

Actual results:

Wrong possible matched cartridge displayed.

Expected results:

When creating using "rhc app create appname ph", it should display:

Short Name Full name
========== =========
php-5.3    PHP 5.3
zend-5.6   Zend Server 5.6

When creating using "rhc app create appname tt", there should be no cartridge displayed.

Additional info:
Comment 1 Jessica Forrester 2013-09-10 13:25:37 EDT
Fix in https://github.com/openshift/rhc/pull/457

It was matching part of a string in the cartridge's description.  The change is to only match on whole words in the cartridge description.  This allows for the phpmyadmin cart to show up still when just 'mysql' is used as the search string.
Comment 2 openshift-github-bot 2013-09-10 16:42:52 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/fb3f5e7e66c16ad23413c27038a59a5d07bbab0f
Bug 1006255 - cartridges should only match description on whole words
Comment 3 Yujie Zhang 2013-09-11 01:15:10 EDT
Tested on devenv_3771, the possible matched cartridge can be displayed correctly now, details as following, so verify this bug, thanks.

[root@ip-10-184-16-152 ~]# rhc app create appname tt 
Short Name          Full name
==========          =========
10gen-mms-agent-0.1 10gen Mongo Monitoring Service Agent
cron-1.4            Cron 1.4
diy-0.1             Do-It-Yourself 0.1
jbossas-7           JBoss Application Server 7
jbosseap-6          JBoss Enterprise Application Platform 6.1.0
jenkins-client-1    Jenkins Client
jenkins-1           Jenkins Server
mock-0.1            Mock Cartridge 0.1
mock-0.2            Mock Cartridge 0.2
mock-plugin-0.1     Mock Plugin Cartridge 0.1
mongodb-2.2         MongoDB NoSQL Database 2.2
mysql-5.1           MySQL Database 5.1
nodejs-0.10         Node.js 0.10
nodejs-0.6          Node.js 0.6
metrics-0.1         OpenShift Metrics 0.1
haproxy-1.4         OpenShift Web Balancer
perl-5.10           Perl 5.10
php-5.3             PHP 5.3
phpmyadmin-4        phpMyAdmin 4.0
postgresql-8.4      PostgreSQL Database 8.4
postgresql-9.2      PostgreSQL Database 9.2
python-2.6          Python 2.6
python-2.7          Python 2.7
python-3.3          Python 3.3
rockmongo-1.1       RockMongo 1.1
ruby-1.8            Ruby 1.8
ruby-1.9            Ruby 1.9
switchyard-0        SwitchYard 0.8.0
jbossews-1.0        Tomcat 6 (JBoss EWS 1.0)
jbossews-2.0        Tomcat 7 (JBoss EWS 2.0)
zend-5.6            Zend Server 5.6

There are no cartridges that match 'tt'.

[root@ip-10-184-16-152 ~]# rhc app create appname ph -k 
Short Name Full name
========== =========
php-5.3    PHP 5.3
zend-5.6   Zend Server 5.6

Note You need to log in before you can comment on or make changes to this bug.